    //+------------------------------------------------------------------+
    //|                                                 E_MA_5-10-20.mq4 |
    //|                                                                  |
    //|                                                                  |
    //+------------------------------------------------------------------+
    #property copyright "Hometrader"

    extern int       TakeProfit =   2;
    extern int       Slippage   =   3;
    extern int       Limit      =   30;
    extern int       Contract   =   1;

    double EMA_1_5;
    double EMA_1_10;
    double EMA_1_20;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
      Alert (" - init()  "); // 
   return;                                      //   init()
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   Alert (" - deinit()  ");   // 
   return;                                      //   deinit()
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
    int    i;
    int    m  =-1;
           i  =   HistoryTotal()-1;  //       
            OrderSelect(i,SELECT_BY_POS,MODE_HISTORY);  //       
           m=OrderType();  //   

           //  if(i==0) Print("  BUY");
          //   if(i==1) Print("  SELL");


          EMA_1_5  = iMA(NULL,1,5, 0, MODE_EMA,  0,0);
          EMA_1_10 = iMA(NULL,1,10, 0, MODE_EMA,  0,0);
          EMA_1_20 = iMA(NULL,1,20, 0, MODE_EMA,  0,0);

         int total = OrdersTotal(); 
         
         if (total < Contract) 
         
 {      //  
    if (EMA_1_5 > EMA_1_10 > EMA_1_20  && i==1)
   {
   OrderSend(Symbol(),OP_BUY,0.1,Ask,3,0,0,NULL,0,0,CLR_NONE);
      Alert (GetLastError()); // 
   }
         // 
     if (EMA_1_20 > EMA_1_10 > EMA_1_5 && i==0)  
   {
   OrderSend(Symbol(),OP_SELL,0.1,Bid,3,0,0,NULL,0,0,CLR_NONE);
   Alert (GetLastError());
    
   }
 }
   
    CloseAll(); 
return(0);} 
//----------------------------------------------------------------------------- 
void CloseAll() 
{ 
  for (int cnt = OrdersTotal()-1 ; cnt >= 0; cnt--) 
  { 
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES); 
    if (OrderSymbol() == Symbol()) 
    { 
      if ((OrderProfit()>=TakeProfit)) 
      { 
        if(OrderType()==OP_BUY)  OrderClose(OrderTicket(),OrderLots(),Bid,3,CLR_NONE); 
        if(OrderType()==OP_SELL) OrderClose(OrderTicket(),OrderLots(),Ask,3,CLR_NONE); 
      } 
      else 
      { 
        if((OrderType()==OP_BUY)  && (((OrderOpenPrice()-Ask)/Point) >= Limit))  //--
          OrderClose(OrderTicket(),OrderLots(),Bid,3,CLR_NONE); 
        if((OrderType()==OP_SELL) && (((Bid-OrderOpenPrice())/Point) >= Limit))//---
          OrderClose(OrderTicket(),OrderLots(),Ask,3,CLR_NONE); 
      } 
    } 
  } 
} 



